Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451878 - im-chooser slow and unresponsive, user confusion
Summary: im-chooser slow and unresponsive, user confusion
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: im-chooser
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-17 22:31 UTC by Warren Togami
Modified: 2008-07-30 20:11 UTC (History)
1 user (show)

Fixed In Version: 0.101.3-2.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-30 19:59:31 UTC


Attachments (Terms of Use)

Description Warren Togami 2008-06-17 22:31:55 UTC
im-chooser-0.99.6-5.fc9.x86_64

en_US.UTF-8 desktop.

Two speed issues...

1) When I run im-chooser it takes like 7-12 seconds for the window to pop-up. 
Is it busy reading options from elsewhere before the window appears?  Perhaps it
should display a window with some kind of "please wait" indication within it so
the user isn't left wondering what is going on. 

2) If I click on the checkbox to "Enable input method feature" with the default
SCIM, the interface goes completely unresponsive for maybe 7 seconds before the
"Starting input method" notification appears.  The user is left confused as to
what is going on during this wait.  At least for me it led me to click on the
checkbox multiple times.  The second click turns SCIM off, so it appears that
the im-chooser is broken.

Perhaps the window should grey out all interfaces immediately after you click
Enable before it does anything so the user isn't confused.

Perhaps you need a "please wait" visual with animation would be useful in both
above cases.

Comment 1 Akira TAGOH 2008-06-18 01:48:18 UTC
Removing F10Blocker so that this issue has already been fixed in rawhide and
filing a bug against F-9. however I suspect I could backport that for F-9
because that breaks API compatibility in imsettings. so we need additional hack
to show up the dialog.

Comment 2 Akira TAGOH 2008-06-18 01:49:15 UTC
erm, couldn't.

Comment 3 Akira TAGOH 2008-07-08 11:21:40 UTC
Fixed in imsettings-0.101.3-2.fc9 and im-chooser-1.2.0-1.fc9.

Comment 4 Fedora Update System 2008-07-08 11:22:02 UTC
imsettings-0.101.3-2.fc9 has been submitted as an update for Fedora 9

Comment 5 Fedora Update System 2008-07-09 02:44:33 UTC
imsettings-0.101.3-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update imsettings'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6191

Comment 6 Fedora Update System 2008-07-11 08:55:22 UTC
im-chooser-1.2.0-1.fc9 has been submitted as an update for Fedora 9

Comment 7 Akira TAGOH 2008-07-17 11:24:12 UTC
both packages are now in testing repo. further testing would be appreciated.

Comment 8 Fedora Update System 2008-07-30 19:59:24 UTC
imsettings-0.101.3-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2008-07-30 20:11:05 UTC
im-chooser-1.2.0-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.